Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.application
Class ModuleFTPOverSFTP

    java.lang.Object
      com.mindbright.application.ModuleFTPOverSFTP

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, MindTermModule, java.lang.Runnable

public class ModuleFTPOverSFTP
extends java.lang.Object
implements MindTermModule, java.awt.event.ActionListener, java.lang.Runnable

Constructor Summary
`ModuleFTPOverSFTP()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `activate(MindTermApp mindterm)`
`void` | `connected(MindTermApp mindterm)`
`java.lang.String` | `description(MindTermApp mindterm)`
`void` | `disconnected(MindTermApp mindterm)`
`void` | `ftpdLoop(java.net.ServerSocket listen)`
`void` | `init(MindTermApp mindterm)`
`boolean` | `isAvailable(MindTermApp mindterm)`
`void` | `run()`
`void` | `startFtpdLoop(java.lang.String host, java.lang.String portStr, boolean remoteWindows)`
`void` | `stopFtpdLoop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleFTPOverSFTP

    public ModuleFTPOverSFTP()

Method Detail

### init

    public void init(MindTermApp mindterm)

  Specified by:
    `init` in interface `MindTermModule`

### activate

    public void activate(MindTermApp mindterm)

  Specified by:
    `activate` in interface `MindTermModule`

### isAvailable

    public boolean isAvailable(MindTermApp mindterm)

  Specified by:
    `isAvailable` in interface `MindTermModule`

### connected

    public void connected(MindTermApp mindterm)

  Specified by:
    `connected` in interface `MindTermModule`

### disconnected

    public void disconnected(MindTermApp mindterm)

  Specified by:
    `disconnected` in interface `MindTermModule`

### description

    public java.lang.String description(MindTermApp mindterm)

  Specified by:
    `description` in interface `MindTermModule`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### startFtpdLoop

    public void startFtpdLoop(java.lang.String host,
                              java.lang.String portStr,
                              boolean remoteWindows)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stopFtpdLoop

    public void stopFtpdLoop()

### ftpdLoop

    public void ftpdLoop(java.net.ServerSocket listen)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD